using System;
using System.Collections.Generic;
using System.Text;
using DrWPF.Markup;
using System.ComponentModel;

namespace ObjectReferenceSample
{
    public class ReferenceableCLRObject : INotifyPropertyChanged
    {
        private string _text;
        public string Text
        {
            get { return _text; }
            set 
            { 
                _text = value;
                RaisePropertyChanged("Text");
            }
        }

        #region INotifyPropertyChanged

        public event PropertyChangedEventHandler PropertyChanged;

        private void RaisePropertyChanged(string name)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(name));
        }

        #endregion
    }
}
